<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
<!ENTITY egrave "&#232;">
<!ENTITY euro "&#8364;">
<!ENTITY agrave "&#224;">
<!ENTITY eacute "&#233;">
]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.xemelios.org/namespaces#cg-1.0" xmlns:n="http://www.xemelios.org/namespaces#cg-1.0" version="2.0">
    <!-- Paramtres de sortie -->
    <xsl:character-map name="accents">
        <xsl:output-character character="" string="&amp;#224;"/>
        <xsl:output-character character="" string="&amp;#233;"/>
        <xsl:output-character character="" string="&amp;#232;"/>
        <xsl:output-character character="" string="&amp;#234;"/>
        <xsl:output-character character="" string="&amp;#235;"/>
        <xsl:output-character character="" string="&amp;#238;"/>
        <xsl:output-character character="" string="&amp;#239;"/>
        <xsl:output-character character="" string="&amp;#244;"/>
        <xsl:output-character character="" string="&amp;#249;"/>
    </xsl:character-map>
    <xsl:output method="xhtml" indent="yes" use-character-maps="accents" encoding="ISO-8859-1"/>
    <xsl:decimal-format name="decformat" decimal-separator="," grouping-separator=" " digit="#" pattern-separator=";" NaN="NaN" minus-sign="-"/>
    
    <!-- Inclusion des XSL externes -->
    <xsl:include href="./common-xsl/Style.xsl"/>
    <xsl:include href="./common-xsl/Error.xsl"/>
    <xsl:include href="./common-xsl/Navigate.xsl"/>
    <xsl:include href="./common-xsl/Header.xsl"/>
    <xsl:include href="./common-xsl/Number.xsl"/>
    
    <!-- Paramtres d'entre -->
    <xsl:param name="show.formulaire"/>
    <xsl:param name="browser-destination"/>
    
    <!-- Paramtres d'entre de la liste de rsultat -->
    <xsl:param name="NumPiece">0</xsl:param>
    
    <!-- Paramtres d'erreur -->
    <xsl:param name="error.message">nomessage</xsl:param>
    
    <!-- Variables -->
    <xsl:variable name="page-format" select="paysage"/>
    <xsl:variable name="NumPage" select="/n:CompteGestion/n:DeveloppementSoldes/n:PageDeveloppementSoldes/n:Pied/@NumPage"/>
    <xsl:variable name="Entete">
        <xsl:copy-of select="/n:CompteGestion/n:Entete"/>
    </xsl:variable>    
    
    <!-- pour eviter les sorties parasites de tags non matches -->
    <xsl:template match="*"/>
    
    <xsl:template match="/n:CompteGestion">
        <html>
            <head>
                <title>Etat De D&#233;veloppement Des Soldes</title>
                <xsl:call-template name="style"/>
            </head>
            <body width="100%">
               <xsl:if test="$error.message!='nomessage'">
                    <xsl:attribute name="onload">javascript:showDialog('<xsl:value-of select="$error.message"/>');</xsl:attribute>
                </xsl:if>
                <xsl:call-template name="Error"><!--xsl:with-param name="error.message" select="$error.message"/--></xsl:call-template>
                <xsl:call-template name="navigate">
                    <xsl:with-param name="docId">compteGestion</xsl:with-param>
                    <xsl:with-param name="etatId">DeveloppementSoldes</xsl:with-param>
                    <xsl:with-param name="elementId">PageDeveloppementSoldes</xsl:with-param>
                    <xsl:with-param name="NumPage" select="$NumPage"/>
                    <xsl:with-param name="Entete" select="$Entete"/>
                    <xsl:with-param name="show.formulaire" select="$show.formulaire"/>
                    <xsl:with-param name="show.depense.recette" select="0"/>
                    <xsl:with-param name="element.path">n:EnteteDeveloppementSoldes</xsl:with-param>
                </xsl:call-template>
                <br/>
                <br/>
                <br/>
                <xsl:call-template name="header">
                    <xsl:with-param name="Entete" select="$Entete"/>
                    <xsl:with-param name="Titre"></xsl:with-param>
                    <xsl:with-param name="Titre.Plus">
                        <h1>Etat De D&#233;veloppement Des Soldes</h1>
                        <h2>Du Compte <xsl:value-of select="//n:EnteteDeveloppementSoldes/@NumCompte"/></h2>
                        <h3>A la date du <xsl:choose><xsl:when test="string-length(//n:EnteteLivreAuxiliaire/@Date3) > 0"><xsl:call-template name="iso-date"><xsl:with-param name="datebrute" select="//n:EnteteLivreAuxiliaire/@Date3"/></xsl:call-template></xsl:when><xsl:otherwise>31/12/<xsl:value-of select="/n:CompteGestion/n:Entete/n:Infos/n:Collectivite/@Exercice"/></xsl:otherwise></xsl:choose></h3>
                        <h3>Actualis&#233;e &#224; la date du <xsl:choose><xsl:when test="string-length(//n:EnteteLivreAuxiliaire/@Date2) > 0"><xsl:call-template name="iso-date"><xsl:with-param name="datebrute" select="//n:EnteteLivreAuxiliaire/@Date2"/></xsl:call-template></xsl:when><xsl:otherwise>31/12/<xsl:value-of select="/n:CompteGestion/n:Entete/n:Infos/n:Collectivite/@Exercice"/></xsl:otherwise></xsl:choose></h3>
                    </xsl:with-param>
                </xsl:call-template>
                <br/>
                <br/>
                <br/>
                <br/>
                <xsl:if test="n:DeveloppementSoldes/n:PageDeveloppementSoldes/n:LigneEnteteDeveloppementSoldes">
                    <br/>
                    <div style="position:relative;left:55%;width:40%;">
                        <table style="cell-padding:0px;cell-spacing:0px;border-style:none;" width="100%">
                            <colgroup><col width="20%" /><col width="30%" align="right"/><col width="50%"/></colgroup>
                            <tr>
                                <td><b>Balance d'entr&#233;e</b></td>
                                <td><tt>: 
                                    <xsl:choose>
                                        <xsl:when test="n:DeveloppementSoldes/n:PageDeveloppementSoldes/n:LigneEnteteDeveloppementSoldes/@SoldeBalanceEntree">
                                            <xsl:call-template name="number"><xsl:with-param name="num" select="n:DeveloppementSoldes/n:PageDeveloppementSoldes/n:LigneEnteteDeveloppementSoldes/@SoldeBalanceEntree"/></xsl:call-template>
                                        </xsl:when>
                                        <xsl:otherwise>
                                            <xsl:call-template name="number"><xsl:with-param name="num" select="0"/></xsl:call-template>
                                        </xsl:otherwise>
                                    </xsl:choose>
                                </tt></td>
                                <td>&nbsp;</td>
                            </tr>
                            <tr>
                                <td><tt><b>D&#233;bits de l'exercice</b></tt></td>
                                <td><tt>: 
                                    <xsl:choose>
                                        <xsl:when test="n:DeveloppementSoldes/n:PageDeveloppementSoldes/n:LigneEnteteDeveloppementSoldes/@DebitExercice">
                                            <xsl:call-template name="number"><xsl:with-param name="num" select="n:DeveloppementSoldes/n:PageDeveloppementSoldes/n:LigneEnteteDeveloppementSoldes/@DebitExercice"/></xsl:call-template>
                                        </xsl:when>
                                        <xsl:otherwise>
                                            <xsl:call-template name="number"><xsl:with-param name="num" select="0"/></xsl:call-template>
                                        </xsl:otherwise>
                                    </xsl:choose>
                                </tt></td>
                                <td>&nbsp;</td>
                            </tr>
                            <tr>
                                <td><tt><b>Cr&#233;dits de l'exercice</b></tt></td>
                                <td><tt>: 
                                    <xsl:choose>
                                        <xsl:when test="n:DeveloppementSoldes/n:PageDeveloppementSoldes/n:LigneEnteteDeveloppementSoldes/@CreditExercice">
                                            <xsl:call-template name="number"><xsl:with-param name="num" select="n:DeveloppementSoldes/n:PageDeveloppementSoldes/n:LigneEnteteDeveloppementSoldes/@CreditExercice"/></xsl:call-template>
                                        </xsl:when>
                                        <xsl:otherwise>
                                            <xsl:call-template name="number"><xsl:with-param name="num" select="0"/></xsl:call-template>
                                        </xsl:otherwise>
                                    </xsl:choose>
                                </tt></td>
                                <td>&nbsp;</td>
                            </tr>
                            <tr>
                                <td><tt><b>Solde de l'exercice</b></tt></td>
                                <td><tt>: 
                                    <xsl:choose>
                                        <xsl:when test="n:DeveloppementSoldes/n:PageDeveloppementSoldes/n:LigneEnteteDeveloppementSoldes/@SoldeExercice">
                                            <xsl:call-template name="number"><xsl:with-param name="num" select="n:DeveloppementSoldes/n:PageDeveloppementSoldes/n:LigneEnteteDeveloppementSoldes/@SoldeExercice"/></xsl:call-template>
                                        </xsl:when>
                                        <xsl:otherwise>
                                            <xsl:call-template name="number"><xsl:with-param name="num" select="0"/></xsl:call-template>
                                        </xsl:otherwise>
                                    </xsl:choose>
                                </tt></td>
                                <td>&nbsp;</td>
                            </tr>
                        </table>
                    </div>
                </xsl:if>                
                <br/>
                <br/>
                <br/>
                <br/>
                <xsl:call-template name="mainTable">
                    <xsl:with-param name="el" select="n:DeveloppementSoldes/n:PageDeveloppementSoldes"/>
                </xsl:call-template>
                <br/>
                <br/>
                <br/>
                <br/>
                <p>
                    <center>Page - <xsl:value-of select="$NumPage"/></center>
                </p>
            </body>
        </html>
    </xsl:template>
    
    <xsl:template name="mainTable">
        <xsl:param name="el"/>
        
        <xsl:variable name="LigneReport" select="$el/n:LigneReportDeveloppementSoldes"/>
        <xsl:variable name="LignePied" select="$el/n:LignePiedDeveloppementSoldes"/>
        
        <table width="100%" class="bordered" id="main">
            <colgroup>
                <col width="10%"/>
                <col width="25%"/>
                <col width="25%"/>
                <col width="15%"/>
                <col width="15%"/>
                <col width="10%"/>
            </colgroup>
            <thead>
                <tr>
                    <td class="titre bold center bordered">Date de<br/>l'&#233;criture</td>
                    <td class="titre bold center bordered">R&#233;f&#233;rences des pi&#232;ces</td>
                    <td class="titre bold center bordered">Lib&#233;ll&#233;</td>
                    <td class="titre bold center bordered">Solde &#224; la date<br/>du <xsl:choose><xsl:when test="string-length(//n:EnteteLivreAuxiliaire/@Date3) > 0"><xsl:call-template name="iso-date"><xsl:with-param name="datebrute" select="//n:EnteteLivreAuxiliaire/@Date3"/></xsl:call-template></xsl:when><xsl:otherwise>31/12/<xsl:value-of select="/n:CompteGestion/n:Entete/n:Infos/n:Collectivite/@Exercice"/></xsl:otherwise></xsl:choose></td>
                    <td class="titre bold center bordered">Solde actualis&#233; &#224; la<br/>date d'&#233;dition du<br/><xsl:choose><xsl:when test="string-length(//n:EnteteLivreAuxiliaire/@Date2) > 0"><xsl:call-template name="iso-date"><xsl:with-param name="datebrute" select="//n:EnteteLivreAuxiliaire/@Date2"/></xsl:call-template></xsl:when><xsl:otherwise>31/12/<xsl:value-of select="/n:CompteGestion/n:Entete/n:Infos/n:Collectivite/@Exercice"/></xsl:otherwise></xsl:choose></td>
                    <td class="titre bold center bordered">Observations</td>
                </tr>
            </thead>
            <tfoot>
                <xsl:if test="count($LignePied)>0">
                    <tr>
                        <td colspan="3" class="libelleLigne bordered"><b><xsl:value-of select="$el/n:LignePiedDeveloppementSoldes/@Libelle"/></b></td>
                        <td class="montant bordered"><xsl:call-template name="number"><xsl:with-param name="num" select="$LignePied/@SommeSolde1"/></xsl:call-template></td>
                        <td class="montant bordered"><xsl:call-template name="number"><xsl:with-param name="num" select="$LignePied/@SommeSolde2"/></xsl:call-template></td>
                        <td class="bordered">&nbsp;</td>
                    </tr>
                </xsl:if>
            </tfoot>
            <tbody>            
                <!--xsl:if test="count($LigneReport)>0">
                    <tr style="font-weight:bold;">
                        <td colspan="2" class="libelleLigne bordered">Report</td>
                        <td class="montant bordered"><xsl:call-template name="number"><xsl:with-param name="num" select="$LigneReport/@SommeMtDebit1"/></xsl:call-template></td>
                        <td class="montant bordered"><xsl:call-template name="number"><xsl:with-param name="num" select="$LigneReport/@SommeMtCredit1"/></xsl:call-template></td>
                        <td class="montant bordered"><xsl:call-template name="number"><xsl:with-param name="num" select="$LigneReport/@SommeMtSolde1"/></xsl:call-template></td>
                        <td class="montant bordered"><xsl:call-template name="number"><xsl:with-param name="num" select="$LigneReport/@SommeMtSolde2"/></xsl:call-template></td>
                    </tr>
                </xsl:if-->
                <xsl:for-each select="$el/n:LigneDeveloppementSoldes">
                    <tr>
                        <xsl:choose>
                            <xsl:when test="$NumPiece != '0' and @NumPiece=$NumPiece">
                                <xsl:attribute name="id">highlighted</xsl:attribute>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:choose>
                                    <xsl:when test="(position() mod 2) = 0">
                                        <xsl:attribute name="id">colorised1</xsl:attribute>
                                    </xsl:when>
                                    <xsl:otherwise>
                                        <xsl:attribute name="id">colorised2</xsl:attribute>
                                    </xsl:otherwise>
                                </xsl:choose>
                            </xsl:otherwise>
                        </xsl:choose>
                        <td class="center bordureRight"><xsl:call-template name="iso-date"><xsl:with-param name="datebrute" select="@DateEcr"/></xsl:call-template></td>
                        <td class="libelleLigne bordureRight"><xsl:value-of select="@NumPiece"/></td>
                        <td class="libelleLigne bordureRight"><xsl:value-of select="@Libelle"/></td>
                        <td class="montant bordureRight"><xsl:call-template name="number"><xsl:with-param name="num" select="@Solde1"/></xsl:call-template></td>
                        <td class="montant bordureRight"><xsl:call-template name="number"><xsl:with-param name="num" select="@Solde2"/></xsl:call-template></td>
                        <td class="bordureRight"><xsl:value-of select="@Operation"/></td>
                    </tr>
                </xsl:for-each>
            </tbody>            
        </table>
        <br/><xsl:value-of select="$el/VilleDate"/>
        <br/><xsl:value-of select="$el/Tresorier"/>
    </xsl:template>    
        
    <xsl:template name="iso-date">
        <xsl:param name="datebrute"/>
        <xsl:param name="separator">/</xsl:param>
        <xsl:choose>
            <xsl:when test="string-length($datebrute)>0 and not(contains($datebrute,'..'))">        
                <xsl:value-of select="substring($datebrute, 9, 2)"/>
                <xsl:value-of select="$separator"/>
                <xsl:value-of select="substring($datebrute,6,2)"/>
                <xsl:value-of select="$separator"/>
                <xsl:value-of select="substring($datebrute, 1, 4)"/>
            </xsl:when>
            <xsl:when test="string-length($datebrute)>0 and contains($datebrute,'..')">
                <xsl:value-of select="$datebrute"/>
            </xsl:when>
            <xsl:otherwise>../../....</xsl:otherwise>
        </xsl:choose>
    </xsl:template>
</xsl:stylesheet>