<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.xemelios.org/namespaces#cge" xmlns:n="http://www.xemelios.org/namespaces#cge" version="2.0">
    <xsl:template name="style">
        <style type="text/css" media="all"> 
            body {font-family: verdana, sans-serif; font-size: 12px; } 
            
            h1 { font-size: 20px; color: #003535; font-weight: bold; } 
            h2 { font-size: 14px; color: #004545; text-align: center;}
            h3 { font-size: 12px; color: #005555; text-align: center;}
            
            span {font-size: 18px; font-weight: bold;}
            
            table#main {border-spacing: 0px; background-color: white; border: #000000 solid 2px;border-collapse: collapse; } 
            .bordered { border: #000000 solid 1px;}
            .borderedBold { border: #000000 solid 2px;}
            
            .bordureRight { border-right: #000000 solid 1px; }
            
            .bordureTop { border-top: #000000 solid 1px; }
            .bordureTopBold { border-top: #000000 solid 2px; }
            
            .bordureBottom { border-bottom: #000000 solid 1px; }
            .bordureBottomBold { border-bottom: #000000 solid 2px; }
            
            .borderedNotTop { border-bottom: #000000 solid 1px ; border-left: #000000 solid 1px ; border-right: #000000 solid 1px ;}
            .borderedNotBottom { border-top: #000000 solid 1px ; border-left: #000000 solid 1px ; border-right: #000000 solid 1px ;}
            
            tr#colorised1 td {background-color: #FFFFC5; }
            tr#colorised2 td {background-color: #FFFFE0; } /* jaune pale */
            tr#colorised3 td {background-color: #D9EEFF; } /* bleu pale */
            
            tr#highlighted td {background-color: #FFFF68; font-weight:bold; }
            tr#highlighted td  a { font-weight: bold; }
            tr#highlighted td  a:hover { color: #FF4000; }
            
            tr.paddingLeft td { padding-left: 20px;}
            
            tr.total td { font-weight:bold; font-size: 14px;}
            tr.total td  a { font-weight: bold; font-size: 14px;}
            tr.total td  a:hover { color: #FF4000; font-size: 14px;}
            
            a:link { color: #0000FF; background: transparent; }
            a:visited { color: #FF3ABA; background: transparent; }
            
            td#padding2 { padding-left: 20px;}
            td#padding4 { padding-left: 40px;}
            td#padding6 { padding-left: 60px;}
            td#padding8 { padding-left: 80px;}
            td#padding10 { padding-left: 100px;}
            td#padding12 { padding-left: 120px;}
            td#padding14 { padding-left: 140px;}
            td#padding70 { padding-left: 200px;}
            
            a {font-size: 12.5px;}
            
            a.precsuiv:visited { color: #0000FF; background: transparent; font-style: normal;}
            
            tr.mask td {heigth: 0px; font-size: 0px;}
            
            td.totalAnnexeII1 { background-color: #FFFF9A; font-size: 16px;}
            td.totalAnnexeII { color: navy; background-color: #FFFFBB; font-size: 14px;}
            
            td.right { text-align: right; } 
            td.left { text-align: left; } 
            td.center { text-align: center; } 
            td.bold { font-weight:bold; } 
            td.montant { white-space: nowrap;text-align: right;} 
            td.titre { font-size: 14px;} 
            td.titre2 { font-size: 12px;}
            td.titre3 { font-size: 10px;}
            td.libelleLigne { text-align: right; font-size: 14px; } 
            td.libelleLigne2 { text-align: right; font-size: 12px; } 
            td.font { background-color: #FFFFFF; }
                        
            div p { padding-left: 75px;} 
            div p input { padding-left: 20px;}
            
            td#message { border: red solid 2px; text-align: center; v-align: middle; color: red; width: 50%;}
            
            caption { color: navy; font-size: 12px; font-weight: bold;}
            label { font-size: 11px; font-weight: bold;}
            
            img {border: none;}
            
            .formulaire {display: block;}
            .navigate {display: block;}
        </style>
        <style type="text/css" media="print">
            @page { size: 297mm 210mm; @bottom-center { content: "Page " counter(page) " / " counter(pages); } }
            .formulaire {display: none;}
            .navigate {display: none;}
            a {text-decoration: none;color: black;}
            
            table#main {border-spacing: 0px; background-color: white; border: #000000 solid 2px;border-collapse: collapse; -fs-table-paginate: paginate;}
            tr { page-break-inside: avoid;}
            
            tr#colorised1 td {background-color: #FFFFFF; }
            tr#colorised2 td {background-color: #FFFFFF; }
            tr#highlighted td {background-color: #FFFFFF; font-weight: normal;}            
            
            td.bold { font-weight:normal; } 
            
            tr#highlighted td  a { font-weight: normal; }
            
            .bordureRight { border: #000000 solid 1px ; }
        </style>
    </xsl:template>
    
</xsl:stylesheet>
