/*
 * Copyright
 *   2007 axYus - www.axyus.com
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package fr.gouv.finances.dgfip.xemelios.web;

/**
 * @author CBO
 */
public class ApplicationConfigurationException extends RuntimeException {

  public ApplicationConfigurationException(String message) {
    super(message);
  }

  static public class ParametreNonRenseigneException extends ApplicationConfigurationException {

    public ParametreNonRenseigneException(String nomParametre) {
      super("Le parametre " + nomParametre + " n'est pas renseigné");
    }
  }

  static public class ParametreMalRenseigneException extends ApplicationConfigurationException {

    public ParametreMalRenseigneException(String nomParametre, String value) {
      super("La valeur du parametre " + nomParametre + " n'est pas correcte : " + value);
    }
  }
}
