/*
 * Copyright
 *   2007 axYus - www.axyus.com
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package fr.gouv.finances.dgfip.xemelios.web.gwt.client.dto;

import java.util.List;

public class DateCritereItemDTO extends InputCritereItemDTO {

    private String format;
    
    protected DateCritereItemDTO() {/*used by gwt*/

    }

    public DateCritereItemDTO(String inputId, String format) {
        super(inputId);
        this.format = format;
    }
    public DateCritereItemDTO(String inputId, String format,String lastInputValue) {
        this(inputId,format);
        setLastInputValue(lastInputValue);
    }

    public String getFormat() {
        return format;
    }

    @Override
    public void accept(CritereItemVisitor critereItemVisitor) {
        critereItemVisitor.visit(this);
    }
    @Override
    public void accept(CritereItemVisitor critereItemVisitor,List<Property> properties) {
        critereItemVisitor.visit(this,properties);
    }
}
