/*
 * Copyright
 *   2007 axYus - www.axyus.com
 *   2008 c.Marhcand - christophe.marchand@axyus.com
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package fr.gouv.finances.cp.utils.xml.marshal.escapers;

import fr.gouv.finances.cp.utils.xml.marshal.CharacterEscaper;

/**
 *
 * @author chm
 */
public class DefaultCharacterEscaper implements CharacterEscaper {
    
    public DefaultCharacterEscaper() {
        super();
    }

    public String escapeChar(char ch) {
        switch(ch) {
            case '<': return "&lt;";
            case '>': return "&gt;";
            case '&': return "&amp;";
            case '"': return "&quot;";
        }
        return String.valueOf(ch);
    }
    
    public String escapeString(String s) {
        if(s==null) return null;
        StringBuilder sb = new StringBuilder();
        for(char c:s.toCharArray()) {
            sb.append(escapeChar(c));
        }
        return sb.toString();
    }

}
