<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
<!ENTITY egrave "&#232;">
<!ENTITY euro "&#8364;">
<!ENTITY agrave "&#224;">
<!ENTITY eacute "&#233;">
]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.xemelios.org/namespaces#cg-1.0" xmlns:n="http://www.xemelios.org/namespaces#cg-1.0" version="2.0">
    <!-- Paramtres de sortie -->
    <xsl:character-map name="accents">
        <xsl:output-character character="" string="&amp;#224;"/>
        <xsl:output-character character="" string="&amp;#233;"/>
        <xsl:output-character character="" string="&amp;#232;"/>
        <xsl:output-character character="" string="&amp;#234;"/>
        <xsl:output-character character="" string="&amp;#235;"/>
        <xsl:output-character character="" string="&amp;#238;"/>
        <xsl:output-character character="" string="&amp;#239;"/>
        <xsl:output-character character="" string="&amp;#244;"/>
        <xsl:output-character character="" string="&amp;#249;"/>
    </xsl:character-map>
    <xsl:output method="xhtml" indent="yes" use-character-maps="accents" encoding="ISO-8859-1"/>
    <xsl:decimal-format name="decformat" decimal-separator="," grouping-separator=" " digit="#" pattern-separator=";" NaN="NaN" minus-sign="-"/>

    <!-- Inclusion des XSL externes -->
    <xsl:include href="./common-xsl/Style.xsl"/>
    <xsl:include href="./common-xsl/Error.xsl"/>
    <xsl:include href="./common-xsl/Navigate.xsl"/>
    <xsl:include href="./common-xsl/Header.xsl"/>
    <xsl:include href="./common-xsl/Number.xsl"/>

    <!-- Paramtres d'entre -->
    <xsl:param name="show.formulaire"/>
    <xsl:param name="browser-destination"/>

    <!-- Paramtres d'entre de la liste de rsultat -->
    <xsl:param name="libelleBC">0</xsl:param>

    <!-- Paramtres d'erreur -->
    <xsl:param name="error.message">nomessage</xsl:param>

    <!-- Variables -->
    <xsl:variable name="page-format" select="paysage"/>
    <xsl:variable name="NumPage" select="/n:CompteGestion/n:ResultatsExploitationConsolide/n:PageResultatsExploitationConsolide/n:Pied/@NumPage"/>
    <xsl:variable name="Entete">
        <xsl:copy-of select="/n:CompteGestion/n:Entete"/>
    </xsl:variable>

    <!-- pour eviter les sorties parasites de tags non matches -->
    <xsl:template match="*"/>

    <xsl:template match="/n:CompteGestion">
        <html>
            <head>
                <title>R&#233;sultats d&apos;exploitation consolid&#233; de l&apos;exercice</title>
                <xsl:call-template name="style"/>
            </head>
            <body width="100%">
                <xsl:if test="$error.message!='nomessage'">
                    <xsl:attribute name="onload">javascript:showDialog('<xsl:value-of select="$error.message"/>');</xsl:attribute>
                </xsl:if>
                <xsl:call-template name="Error"><!--xsl:with-param name="error.message" select="$error.message"/--></xsl:call-template>
                <xsl:call-template name="navigate">
                    <xsl:with-param name="docId">compteGestion</xsl:with-param>
                    <xsl:with-param name="etatId">ResultatsExploitationConsolide</xsl:with-param>
                    <xsl:with-param name="elementId">PageResultatsExploitationConsolide</xsl:with-param>
                    <xsl:with-param name="sous.elementId">LigneResultatsExploitationConsolide</xsl:with-param>
                    <xsl:with-param name="NumPage" select="$NumPage"/>
                    <xsl:with-param name="Entete" select="$Entete"/>
                    <xsl:with-param name="show.formulaire" select="$show.formulaire"/>
                    <xsl:with-param name="show.formulaire.compte" select="0"/>
                    <xsl:with-param name="show.depense.recette" select="0"/>
                </xsl:call-template>
                <br/>
                <br/>
                <br/>
                <xsl:call-template name="header">
                    <xsl:with-param name="Entete" select="$Entete"/>
                    <xsl:with-param name="Titre">R&#233;sultats d&apos;exploitation consolid&#233; de l&apos;exercice</xsl:with-param>
                </xsl:call-template>
                <br/>
                <br/>
                <br/>
                <br/>
                <xsl:call-template name="mainTable">
                    <xsl:with-param name="el" select="/n:CompteGestion/n:ResultatsExploitationConsolide/n:PageResultatsExploitationConsolide"/>
                </xsl:call-template>
                <br/>
                <br/>
                <br/>
                <br/>
                <p>
                    <center>Page - <xsl:value-of select="$NumPage"/></center>
                </p>
            </body>
        </html>
    </xsl:template>

    <xsl:template name="mainTable">
        <xsl:param name="el"/>
        <table width="50%" id="main" class="bordered" align="center">
            <colgroup>
                <col width="60%"/>
                <col width="40%"/>

            </colgroup>
            <thead>
                <tr class="titre">
                    <td class="titre bold center bordered">INTITULE DES SUBDIVISIONS</td>
                    <td class="titre bold center bordered">MONTANT DU RESULTAT DE L&apos;EXERCICE</td>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <xsl:attribute name="id">colorised2</xsl:attribute>
                    <td class="bordureRight">BUDGET PRINCIPAL</td>
                    <td class="montant bordureRight">
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatsExploitationConsolide/@MontantResultatExerciceBCPrincipal"/>
                        </xsl:call-template>
                    </td>
                </tr>
                <tr>
                    <xsl:attribute name="id">colorised1</xsl:attribute>
                    <td class="bordureRight">BUDGETS ANNEXES</td>
                    <td class="montant bordureRight">
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatsExploitationConsolide/@MontantResultatExerciceBCAnnexes"/>
                        </xsl:call-template>
                    </td>
                </tr>
                <tr>
                    <xsl:attribute name="id">colorised2</xsl:attribute>
                    <td class="bordered bold">TOTAL : BUDGET GENERAL + BUDGETS ANNEXES</td>
                    <td class="montant bordered bold">
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatsExploitationConsolide/@MontantTotalResultatExerciceBC"/>
                        </xsl:call-template>
                    </td>
                </tr>
            </tbody>
        </table>
    </xsl:template>

</xsl:stylesheet>
